jQuery(document).ready(function($){

/*------------------------------------------------
                BODY
------------------------------------------------*/
$('body').css({"display":"block"});

/*------------------------------------------------
                LOADER
------------------------------------------------*/

 $('#loader').fadeOut();
 $('#loader-container').fadeOut();

/*------------------------------------------------
                SIDR MENU
------------------------------------------------*/

$('#sidr-left-top-button').sidr({
    name: 'sidr-left-top',
    timing: 'ease-in-out',
    speed: 500,
    side: 'left',
    source: '.left'
});

/*------------------------------------------------
                END SIDR MENU
------------------------------------------------*/

/*------------------------------------------------
                MENU ACTIVE
------------------------------------------------*/

$('.main-navigation ul li').click(function() {
    $('.main-navigation ul li').removeClass('current-menu-item');
    $(this).addClass('current-menu-item');
});
$(".menu-item-has-children").hover(function() {

});

/*------------------------------------------------
                END MENU ACTIVE
------------------------------------------------*/


/*------------------------------------------------
                BACK TO TOP
------------------------------------------------*/

$('.backtotop').click(function() {
    $('html, body').animate({scrollTop: '0px'}, 800);
});

/*------------------------------------------------
                END BACK TO TOP
------------------------------------------------*/

/*------------------------------------------------
                SLICK SLIDER
------------------------------------------------*/
var $slider_effect = $('#main-slider').data('effect');
var $slider_effect1 = $('#featured-gallery-slider .regular').data('effect');

$('#main-slider').slick({
    cssEase : $slider_effect
});

$("#breaking-news .regular").slick({

});


$("#featured-gallery-slider .regular").slick({
    cssEase : $slider_effect1,
    customPaging : function(slider, i) {
        var thumb = $(slider.$slides[i]).data('thumb');
        return '<a><img src="'+thumb+'"></a>';
    }
});
$("#trending-news-slider .regular").slick({
    responsive: [
    {
      breakpoint: 1200,
      settings: {
        slidesToShow: 3,
        slidesToScroll: 1
      }
    },
    {
      breakpoint: 992,
      settings: {
        slidesToShow: 2,
        slidesToScroll: 1
      }
    },
    {
      breakpoint: 600,
      settings: {
        slidesToShow: 1,
        slidesToScroll: 1
      }
    }
  ]
});

$(".widget_post_slider .regular").slick({

});
$(".widget_gallery_slider .regular").slick({

});
$(".widget_post_slider button.slick-prev").insertAfter('.widget_post_slider .widget-wrap');
$(".widget_post_slider button.slick-next").insertAfter('.widget_post_slider button.slick-prev');
$(".widget_gallery_slider button.slick-prev").insertAfter('.widget_gallery_slider .widget-wrap');
$(".widget_gallery_slider button.slick-next").insertAfter('.widget_gallery_slider button.slick-prev');

/*------------------------------------------------
                END SLICK SLIDER
------------------------------------------------*/

/*------------------------------------------------
                TABS
------------------------------------------------*/
$('ul.tabs li').click(function() {
    var tab_id = $(this).attr('data-tab');

    $('ul.tabs li').removeClass('active');
    $('.tab-content').removeClass('active');

    $(this).addClass('active');
    $("#"+tab_id).addClass('active');
});


/*------------------------------------------------
                PRETTYPHOTO
------------------------------------------------*/

if ($().prettyPhoto) {
    $("a[data-gal^='prettyPhoto']").prettyPhoto({
        theme: 'light_square'
    });
}

/*------------------------------------------------
                END PRETTYPHOTO
------------------------------------------------*/

/*------------------------------------------------
                SOCIAL ICON JETPACK
------------------------------------------------*/

$('.sharedaddy .sd-content ul').addClass('social-icons');

/*--------------------------------------------------------
                COLOR, BOXED LAYOUT AND FONT SWITCHER
----------------------------------------------------------*/
$('.color-switcher .switch-colors li').click(function(){
    $('.color-switcher .switch-colors li').removeClass('active');
    $(this).addClass('active');
});

$("#green" ).click(function(){
    $("#color" ).attr("href", "assets/colors/green.css");
});

$("#yellow" ).click(function(){
    $("#color" ).attr("href", "assets/colors/yellow.css");
});

$("#black" ).click(function(){
    $("#color" ).attr("href", "assets/colors/black.css");
});

$("#blue" ).click(function(){
    $("#color" ).attr("href", "assets/colors/blue.css");
});

$("#red" ).click(function(){
    $("#color" ).attr("href", "assets/colors/red.css");
});

$(".picker_close").click(function(){  
    $("#choose_color").toggleClass("position");
});

$('.boxed').click(function() {
    $('body').addClass('boxed');
});

$('.wide').click(function() {
    $('body').removeClass('boxed');
    $('body').addClass('wide');
});


$('.font-family li').click(function() {
    $('.font-family li').removeClass('active');
    $(this).addClass('active');
});

$('.courgette').click(function() {
    if  ($('body').hasClass('montserrat') || 
        $('body').hasClass('raleway') ||
        $('body').hasClass('roboto') || 
        $('body').hasClass('poppins'))
    {
        $('body').removeClass('montserrat raleway roboto poppins');
    }
    $('body').addClass('courgette');
});
$('.montserrat').click(function() {
    if  ($('body').hasClass('courgette') || 
        $('body').hasClass('raleway') ||
        $('body').hasClass('roboto') || 
        $('body').hasClass('poppins'))
    {
        $('body').removeClass('courgette raleway roboto poppins');
    }
    $('body').addClass('montserrat');
});
$('.raleway').click(function() {
    if  ($('body').hasClass('courgette') || 
        $('body').hasClass('montserrat') ||
        $('body').hasClass('roboto') || 
        $('body').hasClass('poppins'))
    {
        $('body').removeClass('courgette montserrat roboto poppins');
    }
    $('body').addClass('raleway');
});
$('.roboto').click(function() {
    if  ($('body').hasClass('courgette') || 
        $('body').hasClass('montserrat') ||
        $('body').hasClass('raleway') || 
        $('body').hasClass('poppins'))
    {
        $('body').removeClass('courgette montserrat raleway poppins');
    }
    $('body').addClass('roboto');
});
$('.poppins').click(function() {
    if  ($('body').hasClass('courgette') || 
        $('body').hasClass('montserrat') ||
        $('body').hasClass('raleway') || 
        $('body').hasClass('roboto'))
    {
        $('body').removeClass('courgette montserrat raleway roboto');
    }
    $('body').addClass('poppins');
});


/*--------------------------------------------------------------------
                END COLOR, BOXED LAYOUT AND FONT SWITCHER
---------------------------------------------------------------------*/


});

/*------------------------------------------------
            END JQUERY
------------------------------------------------*/



